import java.util.*;

public class AutoListe {

	private ArrayList<Auto>  liste = null;
	

	public AutoListe() {
		liste = new ArrayList<Auto>();
	}

	public void pushAuto(Auto auto) {
		liste.add(1,auto);
	}
	public void addAuto(Auto auto) {
		liste.add(auto);
	}
	
	public int getCount() {
		return liste.size();
	}	
	public Auto getAuto(int i) {
		return liste.get(i);
	}	
	
	public Auto getAuto(String kfz) {
		for(Auto auto : liste) {
			if (auto.kfzzeichen==kfz); {  
				return auto;
			}
		}
		 return  null;
	}
	public Auto[] getAutosAusGruppe(String typ) {
		Auto[] autos=null;
		int n=0;
		for(Auto auto : liste) {
			if (auto.typ==typ) {  
				n++;
			}
		}
		autos=new Auto[n];
		for(Auto auto : liste) {
			if (auto.typ==typ) {  
				autos[n++]=auto;	
			}
		}
		 return  autos;
	}
	
	

	public void printAutos() {
		for(Auto auto : liste) {
            System.out.println(auto.kfzzeichen + " - " + auto.firma);
        } 		
	}

	public void printGruppen() {
		int pkw=0, lkw=0, bagger=0;
		for(Auto auto : liste) {
			if (auto.typ.equals(Auto.C_PKW))
				pkw++;
			else if (auto.typ.equals(Auto.C_LKW))
				lkw++;
			else
				bagger++;
            System.out.println("PKW: "+pkw);
            System.out.println("LKW: "+lkw);
            System.out.println("Bagger: "+bagger);
        } 		
	}  // printGruppen
	

	public int getMaxGewicht() {
		int max=0;
		for(Auto auto : liste) {
			if (auto.gewicht>max) {
				max=auto.gewicht;
			}
        }
        return max;
	}	
	

	public int getMinGewicht() {
		int min=0;
		for(Auto auto : liste) {
			if (auto.gewicht<min) {
				min=auto.gewicht;
			}
        }
        return min;
	}	
	
}